[Stable Update i686] 2019-04-28 - MESA 19.0.3, GCC 8.3.0, OpenSSH, Kernels, systemd 242.16

update
stable
manjaro32
#1

Hello i686ers!

This is a smaller "catchup" update which rebuilds MESA for LLVM8 (missed from the last set), includes GCC 8.3.0 (which shouldn't have any impact), and includes security fixes for OpenSSH. Finally, there's a bump for systemd from the systemd-stable fork which adds a few backported fixes.

Also, kernels.


Available kernels

Series Version PAE
linux316 3.16.65 No
linux318 3.18.139 No
linux44 4.4.179 No
linux49 4.9.171 No
linux414 4.14.113 No
linux419 4.19.37 Yes

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            linux318           3.18.138-1           3.18.139-1
                    linux318-headers           3.18.138-1           3.18.139-1
                            linux414           4.14.113-1           4.14.114-1
                    linux414-headers           4.14.113-1           4.14.114-1
                            linux419            4.19.36-1            4.19.37-1
                    linux419-headers            4.19.36-1            4.19.37-1
                             linux44            4.4.178-1            4.4.179-1
                     linux44-headers            4.4.178-1            4.4.179-1
                             linux49            4.9.170-1            4.9.171-1
                     linux49-headers            4.9.170-1            4.9.171-1
                             openssh            7.9p1-1.1                    -
                      pacman-mirrors             4.14.0-3             4.14.2-1
                             systemd              242.0-2             242.16-1
                        systemd-libs              242.0-2             242.16-1
                  systemd-resolvconf              242.0-2             242.16-1
                  systemd-sysvcompat              242.0-2             242.16-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            cracklib            2.9.6-3.0            2.9.7-1.0
                              efivar               35-1.1               37-1.0
                                 gcc   8.2.1+20181127-1.2            8.3.0-1.0
                             gcc-ada   8.2.1+20181127-1.2            8.3.0-1.0
                         gcc-fortran   8.2.1+20181127-1.2            8.3.0-1.0
                              gcc-go   8.2.1+20181127-1.2            8.3.0-1.0
                            gcc-libs   8.2.1+20181127-1.2            8.3.0-1.0
                            gcc-objc   8.2.1+20181127-1.2            8.3.0-1.0
                               glib2           2.60.0-1.0           2.60.1-1.0
                          glib2-docs           2.60.0-1.0           2.60.1-1.0
                               glibc             2.28-6.1            2.29-1.26
                               groff           1.22.3-8.1           1.22.4-1.0
                              libaio          0.3.111-2.0          0.3.112-1.0
                              libcap             2.26-1.0             2.27-1.0
                             libidn2            2.1.1-2.3            2.1.1-2.4
                           libsecret           0.18.8-2.0           0.18.8-2.1
                             libtool2.4.6+42+gb88cebd5-2.12.4.6+42+gb88cebd5-3.0
                               links             2.19-1.0             2.19-1.1
                                 lz4          1:1.8.3-1.1          1:1.9.1-1.0
                               mdadm              4.0-2.0              4.1-1.0
                                nano              4.1-1.0              4.2-1.0
                             openssh            7.9p1-1.0            8.0p1-1.0
                         openssl-1.0          1.0.2.r-1.0          1.0.2.r-1.2
                             openssl          1.1.1.b-1.0          1.1.1.b-1.1
                                perl           5.28.1-1.0           5.28.2-1.0
                            pinentry           1.1.0-4.15           1.1.0-4.16
                              sqlite           3.27.2-1.0           3.28.0-1.0
                     sqlite-analyzer           3.27.2-1.0           3.28.0-1.0
                          sqlite-doc           3.27.2-1.0           3.28.0-1.0
                          sqlite-tcl           3.27.2-1.0           3.28.0-1.0
             thin-provisioning-tools            0.7.6-1.2            0.8.0-1.0
                                zstd            1.3.8-1.0            1.4.0-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                  linux318-acpi_call            1.1.0-138            1.1.0-139
                linux318-broadcom-wl     6.30.223.271-138     6.30.223.271-139
                linux318-ndiswrapper             1.61-138             1.61-139
               linux318-nvidia-340xx          340.107-138          340.107-139
                      linux318-r8168         8.045.08-138         8.045.08-139
                  linux318-rt3562sta       2.4.1.1_r4-138       2.4.1.1_r4-139
                        linux318-spl           0.7.13-138           0.7.13-139
                linux318-vhba-module         20161009-138         20161009-139
   linux318-virtualbox-guest-modules            6.0.4-138            6.0.4-139
    linux318-virtualbox-host-modules            6.0.4-138            6.0.4-139
                        linux318-zfs           0.7.13-138           0.7.13-139
                  linux414-acpi_call            1.1.0-113            1.1.0-114
                   linux414-bbswitch              0.8-113              0.8-114
                linux414-broadcom-wl     6.30.223.271-113     6.30.223.271-114
                linux414-ndiswrapper             1.61-113             1.61-114
               linux414-nvidia-340xx          340.107-113          340.107-114
                      linux414-r8168         8.045.08-113         8.045.08-114
                  linux414-rt3562sta       2.4.1.1_r4-113       2.4.1.1_r4-114
                        linux414-spl           0.7.13-113           0.7.13-114
                   linux414-tp_smapi             0.41-113             0.41-114
                linux414-vhba-module         20161009-113         20161009-114
   linux414-virtualbox-guest-modules            6.0.4-113            6.0.4-114
    linux414-virtualbox-host-modules            6.0.4-113            6.0.4-114
                        linux414-zfs           0.7.13-113           0.7.13-114
                  linux419-acpi_call             1.1.0-36             1.1.0-37
                   linux419-bbswitch               0.8-36               0.8-37
                linux419-broadcom-wl      6.30.223.271-36      6.30.223.271-37
                linux419-ndiswrapper              1.61-36              1.61-37
               linux419-nvidia-340xx           340.107-36           340.107-37
                   linux419-nvidiabl              0.88-36              0.88-37
                      linux419-r8168          8.045.08-36          8.045.08-37
                        linux419-spl            0.7.13-36            0.7.13-37
                   linux419-tp_smapi              0.41-36              0.41-37
                linux419-vhba-module          20161009-36          20161009-37
   linux419-virtualbox-guest-modules             6.0.4-36             6.0.4-37
    linux419-virtualbox-host-modules             6.0.4-36             6.0.4-37
                        linux419-zfs            0.7.13-36            0.7.13-37
                   linux44-acpi_call            1.1.0-178            1.1.0-179
                 linux44-broadcom-wl     6.30.223.271-178     6.30.223.271-179
                 linux44-ndiswrapper             1.61-178             1.61-179
                       linux44-r8168         8.045.08-178         8.045.08-179
                   linux44-rt3562sta       2.4.1.1_r4-178       2.4.1.1_r4-179
                         linux44-spl           0.7.13-178           0.7.13-179
                 linux44-vhba-module         20161009-178         20161009-179
                         linux44-zfs           0.7.13-178           0.7.13-179
                   linux49-acpi_call            1.1.0-170            1.1.0-171
                    linux49-bbswitch              0.8-170              0.8-171
                 linux49-broadcom-wl     6.30.223.271-170     6.30.223.271-171
                 linux49-ndiswrapper             1.61-170             1.61-171
                linux49-nvidia-340xx          340.107-170          340.107-171
                       linux49-r8168         8.045.08-170         8.045.08-171
                   linux49-rt3562sta       2.4.1.1_r4-170       2.4.1.1_r4-171
                         linux49-spl           0.7.13-170           0.7.13-171
                    linux49-tp_smapi             0.41-170             0.41-171
                 linux49-vhba-module         20161009-170         20161009-171
    linux49-virtualbox-guest-modules            6.0.4-170            6.0.4-171
     linux49-virtualbox-host-modules            6.0.4-170            6.0.4-171
                         linux49-zfs           0.7.13-170           0.7.13-171
                   libva-mesa-driver                    -             19.0.3-0
                                mesa                    -             19.0.3-0
                          mesa-demos                    -            8.4.0-1.3
                          mesa-vdpau                    -             19.0.3-0
                         opencl-mesa                    -             19.0.3-0
                        vulkan-intel                    -             19.0.3-0
                       vulkan-radeon                    -             19.0.3-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                                 apr            1.6.5-1.0            1.6.5-1.1
            archlinux-appstream-data         20190320-1.0         20190424-1.0
                         at-spi2-atk           2.30.1-1.0           2.32.0-1.0
                   black-hole-solver           0.18.0-1.0           0.20.0-1.0
                                cups           2.2.11-1.0           2.2.11-2.0
                               dconf           0.32.0-1.0           0.32.0-3.0
                           freetype2           2.10.0-1.0           2.10.0-2.0
                     freetype2-demos           2.10.0-1.0           2.10.0-2.0
                      freetype2-docs           2.10.0-1.0           2.10.0-2.0
                            gifsicle             1.91-1.1             1.92-1.0
                                 git           2.21.0-1.0           2.21.0-1.1
                             glslang        7.11.3113-1.0        7.11.3188-1.0
                               gnote           3.30.0-1.0           3.32.1-1.0
               gobject-introspection           1.58.3-1.0           1.60.1-1.0
       gobject-introspection-runtime           1.58.3-1.0           1.60.1-1.0
                           gstreamer           1.14.4-1.0           1.16.0-1.0
                         imagemagick         7.0.8.34-1.0         7.0.8.42-1.0
                     imagemagick-doc         7.0.8.34-1.0         7.0.8.42-1.0
                               irssi            1.1.2-1.0            1.2.0-1.0
                             jsoncpp            1.8.4-2.2            1.8.4-2.3
                         jsoncpp-doc            1.8.4-2.2            1.8.4-2.3
                             kapidox           5.56.0-1.0           5.57.0-1.0
                         kdeedu-data          18.12.3-1.0          19.04.0-1.0
                              libclc0.2.0+539+dabae5a-1.10.2.0+584+4501738-1.0
                             libcups           2.2.11-1.0           2.2.11-2.0
                              libdrm           2.4.97-1.0           2.4.98-1.0
                       libjpeg-turbo            2.0.2-1.0            2.0.2-1.1
                             libmbim           1.18.0-1.0           1.18.2-1.0
                             libmwaw           0.3.14-1.1           0.3.15-1.0
                              libpng           1.6.36-1.0           1.6.37-1.0
                              libqmi           1.22.2-1.0           1.22.4-1.0
                           libunwind            1.3.1-1.0            1.3.1-1.1
                        libxkbcommon            0.8.4-1.0            0.8.4-1.1
                    libxkbcommon-doc            0.8.4-1.0            0.8.4-1.1
                    libxkbcommon-x11            0.8.4-1.0            0.8.4-1.1
                               meson           0.49.2-2.0           0.50.1-1.0
                                opus              1.3-1.0            1.3.1-1.0
                               pango         1:1.43.0-1.0         1:1.43.0-2.0
               perl-extutils-depends            0.405-4.2           0.8000-1.0
                              python            3.7.3-1.0            3.7.3-1.1
                         python-cffi           1.12.2-1.1           1.12.3-1.0
                         python-mako            1.0.8-1.0            1.0.9-1.0
                   python-setuptools         1:40.9.0-1.0         1:41.0.1-1.0
                             python2           2.7.16-1.1           2.7.16-1.2
                        python2-cffi           1.12.2-1.1           1.12.3-1.0
                        python2-mako            1.0.8-1.0            1.0.9-1.0
                  python2-setuptools         1:40.9.0-1.0         1:41.0.1-1.0
                             rrdtool            1.7.0-6.2            1.7.1-1.0
                              thunar            1.8.4-1.0            1.8.4-2.0
                    vulkan-html-docs        1:1.1.102-1.0        1:1.1.107-1.0
                             wayland           1.17.0-1.0           1.17.0-1.1
                        wayland-docs           1.17.0-1.0           1.17.0-1.1
                       xfce4-notifyd            0.4.3-1.0            0.4.4-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                 deepin-desktop-base       3:2019.04.03-1       3:2019.04.24-1
                                inxi             3.0.32-1             3.0.33-1
             vte-notification-common             0.56.0-1             0.56.1-1
                   vte3-notification             0.56.0-1             0.56.1-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-204.0          1.1.0-206.0
                              arpack            3.7.0-1.0            3.7.0-2.0
                         asciidoctor            1.5.8-2.1            2.0.7-1.0
                               atftp            0.7.1-6.1            0.7.2-1.0
                             avrdude            1:6.3-4.1            1:6.3-5.0
                         broadcom-wl    6.30.223.271-91.0    6.30.223.271-93.0
                                btfs             2.18-5.0             2.19-1.0
                             buildah            1.7.2-1.1            1.7.3-1.0
                             cmatrix              1.2-1.0              2.0-1.0
                         coin-or-cbc           2.10.1-1.0           2.10.2-1.0
                         coin-or-cgl           0.60.1-1.0           0.60.2-1.0
                         coin-or-clp           1.17.1-1.0           1.17.2-1.0
                   coin-or-coinutils           2.11.1-1.0           2.11.2-1.0
                         coin-or-osi          0.108.3-1.0          0.108.4-1.0
                          cozy-stack          1:1.2.3-1.0          1:1.2.5-1.0
                             crystal           0.27.2-1.0           0.28.0-1.0
                 deepin-desktop-base     2:2019.04.03-1.0     2:2019.04.24-1.0
                              docker        1:18.09.4-1.0        1:18.09.5-1.0
                 firefox-dark-reader           4.7.10-1.0           4.7.11-1.0
                           fragments              1.3-1.0              1.4-1.0
                           freebasic           1.06.0-1.0           1.06.0-1.1
                               gitea            1.7.6-1.0            1.8.0-1.0
                        glfw-wayland            3.2.1-2.0              3.3-2.0
                            glfw-x11            3.2.1-2.0              3.3-2.0
                         go-ethereum           1.8.26-1.0           1.8.27-1.0
                               gsoap           2.8.80-1.0           2.8.83-1.0
                         http-parser            2.9.0-1.0            2.9.1-1.0
                        lastpass-cli            1.3.2-1.0            1.3.3-1.0
                              laszip            3.4.0-1.0            3.4.1-1.0
                           libosinfo            1.2.0-1.1            1.4.0-2.0
                           libpinyin            2.2.2-1.0            2.3.0-1.0
                           libsigrok            0.5.1-3.0            0.5.1-4.0
                           log4cplus            2.0.3-1.0            2.0.4-1.0
                              lolcat          99.9.11-2.0          99.9.21-1.0
                                mako              1.2-3.0              1.3-1.0
                          mit-scheme           10.1.5-1.0           10.1.5-1.1
                           mosquitto            1.5.8-1.0            1.6.0-1.0
                      nginx-mainline          1.15.10-1.0          1.15.12-1.0
                       nginx-mod-njs            0.3.0-1.0            0.3.1-1.0
                            normaliz            3.6.3-1.1            3.7.0-1.0
                   npm-check-updates            3.1.7-1.0            3.1.8-1.0
                   nvidia-cg-toolkit              3.1-5.0              3.1-5.1
                             opendht          1:1.8.1-2.0          1:1.9.2-1.0
                           osinfo-db         20190304-1.0         20190319-1.0
                            parallel         20190322-1.0         20190422-1.0
                         patchmatrix           0.12.0-4.2           0.14.0-1.0
              perl-datetime-timezone             2.21-1.0             2.35-1.0
                          primecount              4.6-1.0              4.7-1.0
                      python-cypari2            2.1.0-1.1            2.1.1-1.0
           python-importlib-metadata              0.8-1.0              0.9-1.0
                       python-kaptan           0.5.11-1.0           0.5.12-1.0
       python-marshmallow-sqlalchemy           0.16.0-1.0           0.16.2-1.0
                       python-pytest            4.4.0-1.0            4.4.1-1.0
                  python-pytest-mock           1.10.3-1.0           1.10.4-1.0
                     python2-cypari2            2.1.0-1.1            2.1.1-1.0
          python2-importlib-metadata              0.8-1.0              0.9-1.0
                      python2-pytest            4.4.0-1.0            4.4.1-1.0
                 python2-pytest-mock           1.10.3-1.0           1.10.4-1.0
                             ripgrep           0.10.0-2.0           11.0.1-1.0
                             rtaudio            5.0.0-6.5            5.1.0-1.0
                       ruby-manpages            0.6.1-2.0            0.6.1-2.1
                      ruby-nats-pure            0.5.0-2.0            0.5.0-2.1
                     ruby-pkg-config            1.3.6-1.0            1.3.7-1.0
                   ruby-power_assert            1.1.3-2.0            1.1.4-1.0
                           ruby-rack            2.0.5-2.0            2.0.5-2.1
                          ruby-rspec            3.8.0-2.0            3.8.0-2.1
             ruby-rspec-expectations            3.8.1-2.0            3.8.1-2.1
                  ruby-sys-proctable            1.2.1-2.0            1.2.1-2.1
                 ruby-term-ansicolor            1.6.0-2.0            1.6.0-2.1
                           ruby-tins           1.16.3-2.0           1.16.3-2.1
                        ruby-treetop           1.6.10-2.0           1.6.10-2.1
                      shairport-sync            3.2.2-1.0            3.2.2-2.0
                               sshfs            3.5.1-2.0            3.5.2-1.0
                             sysstat           12.1.3-1.0           12.1.4-1.0
                            three.js             r103-1.0             r104-1.0
                           uriparser            0.9.1-1.0            0.9.2-1.0
                             wings3d            2.1.7-4.0            2.2.4-1.0
                            workrave          1.10.23-2.0          1.10.31-1.0
                         x42-plugins         20190206-1.0         20190413-1.0
                                xchm             1.27-2.0             1.28-1.0
                              xl2tpd           1.3.13-1.0           1.3.14-1.0
                              xxhash            0.6.5-2.2            0.7.0-1.0

Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It's a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren't the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren't as many packagers. If you notice an important package is lagging please report it; at the moment it's only me packaging for i686:

I'm only packaging current LTS kernels. Any marked as EOL are dropped. I'll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn't this meant to be stable?

"Stable" means "infrequently changing", not "everything will work perfectly all the time". If you want it to mean everything works, you need to help test the things you're interested in.

What about installer images?

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by the adventurous who want to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable. However: expect breakage.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


4 Likes
[Testing Update i686] 2019-04-26 to 27 - GCC 8.3.0, OpenSSH, MESA
#2

Known issues and solutions


The 18.0.4 installer image doesn't include any Xfce default settings

The profile used is the same as before so I'm not sure what happened. It should be fixed for an 18.0.5 image.


#3

Update on 1 System and 1 VB without Porblems.

DK3

1 Like
#4

I deed a new install with 18.04 two weeks ago
not much Xfce experience, this is an emergency (old) laptop
found some change with my previous install, Thunar not launching anymore as root (solved), .exe file not launching (not solved yet).
I deed install manjaro-xfce-setting replacing the minimal...
everything else seems ok, just some more work to finish from my side

1 Like
#5

I am on the Unstable branch so this is just a heads-up after a big update today. Thunderbird comes up with this error. thunderbird
XPCOMGlueLoad error for file /usr/lib/thunderbird/libxul.so:
libicui18n.so.63: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
Youtube-dl needs to be updated to the April 30, 2019 version as it does not work any longer due to a token error when downloading from Youtube.
MPV, Baka-Mplayer etc. do not work due to this error.
mpv: error while loading shared libraries: libcdio.so.18: cannot open shared object file: No such file or directory
Latest update for x264 & x265 fail due to following error:
installing x264 (2:157.r72db4377-1.4) breaks dependency 'libx264.so=155-32' required by ffmpeg
:: installing x265 (3.0-1.4) breaks dependency 'libx265.so=165-32' required by ffmpeg
At the moment I am avoiding the use of these apps. Hopefully, a solution will emerge soon. Thanks

1 Like
#6

Lots of updates and rebuilds needed. I'll wait for things to settle then start rebuilding my overlay packages.

Unstable is what unstable does (or something like that...).

#7

xviewer needs rebuild against the new exempi pkg

alimj@manjaro ~ $ xviewer
xviewer: error while loading shared libraries: libexempi.so.3: cannot open shared object file: No such file or directory
#8

installing clang (8.0.0-0) breaks dependency 'clang=7.0.1' required by kdevelop
so i've ignored clang update, hopefully no issue will arise because of that.

1 Like
closed #9